<?php

/**  // € // to identify files as UTF8
 * select another section and show that content here on runtime
 *
 * @module          section_select
 * @author          Wolfgang Studer
 * @copyright       2016 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.05.000 | 2016-12-17
 * @lepador_link    http://www.lepton-cms.com/lepador/modules/section_select.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3059
*/


// include class.secure.php to protect this file and the whole CMS!
	if ( defined('LEPTON_PATH') == TRUE ):
		include(LEPTON_PATH.'/framework/class.secure.php');
	else:
		$oneback = "../";
		$root = $oneback;
		$level = 1;
		while (( $level < 10 ) && ( file_exists( $root . '/framework/class.secure.php' ) == FALSE )):
			$root .= $oneback;
			$level += 1;
		endwhile;
	
		if ( file_exists($root.'/framework/class.secure.php') == TRUE ):
			include( $root . '/framework/class.secure.php' );
		else:
			trigger_error( sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR );
		endif;
	endif;
// end include class.secure.php


// the view headers comes out of the refered module
	global $database;
	global $current_section;

	// first get refered id
	$refered_section_id = 0;
	$query = 'SELECT `refered_section_id`'
				. ' FROM ' . TABLE_PREFIX . 'mod_section_select'
				. ' WHERE `section_id` = ' . $current_section
			;
	$refered_section_id = $database->get_one( $query );
	
	$refered_module = '';
	if ( $refered_section_id > 0 ):
		$query = 'SELECT `module`'
				. ' FROM ' . TABLE_PREFIX . 'sections'
				. ' WHERE `section_id` = ' . $refered_section_id
			;
		$refered_module = $database->get_one( $query );
	endif;

	// check if a headers.inc file of refered section exists
	if ( strlen( trim( $refered_module )) > 0 ):
		$path = LEPTON_PATH . DIRECTORY_SEPARATOR . 'modules' . DIRECTORY_SEPARATOR . $refered_module;
		if ( is_file( $path . DIRECTORY_SEPARATOR . 'headers.inc.php' ) == TRUE ):
			$saveSection = $current_section;
			$current_section = $refered_section_id;
			// include the refered section modules generic headers.inc file
			include( $path . DIRECTORY_SEPARATOR . 'headers.inc.php' );
			$current_section = $saveSection;
			unset( $saveSection );
		endif;
	endif;

?>
