<?php

/**  // € // to identify files as UTF8
 * select another section and show that content here on runtime
 *
 * @module          section_select
 * @author          Wolfgang Studer
 * @copyright       2016 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.05.000 | 2016-12-17
 * @lepador_link    http://www.lepton-cms.com/lepador/modules/section_select.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3059
*/


// include class.secure.php to protect this file and the whole CMS!
	if ( defined('LEPTON_PATH') == TRUE ):
		include(LEPTON_PATH.'/framework/class.secure.php');
	else:
		$oneback = "../";
		$root = $oneback;
		$level = 1;
		while (( $level < 10 ) && ( file_exists( $root . '/framework/class.secure.php' ) == FALSE )):
			$root .= $oneback;
			$level += 1;
		endwhile;
	
		if ( file_exists($root.'/framework/class.secure.php') == TRUE ):
			include( $root . '/framework/class.secure.php' );
		else:
			trigger_error( sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR );
		endif;
	endif;
// end include class.secure.php

$module_directory     = 'section_select';
$module_name          = 'Section Select';
$module_function      = 'page';
$module_version       = '1.05.000';
$module_platform      = '2.x';
$module_author        = 'Wolfgang Studer';
$module_license       = 'GNU General Public License';
$module_license_terms = '-';
$module_description   = 'select another section and show that content here on runtime';
$module_guid          = '876e64a1-5e1d-462e-aa3a-043552be1b84';
$module_home          = 'www.wolfgangstuder.ch | www.lepton-cms.com';
$lepador_link         = 'http://www.lepton-cms.com/lepador/modules/section_select.php';
$forum_link           = 'http://forum.lepton-cms.org/viewtopic.php?f=66&t=3059';


/*
Changelog
------------------------------------------------------------------------------------------------------
1.05.000		Sat Dec 17 16:38:18 UTC 2016		WolfgangStuder		various internal allignments and clean ups
1.04.000		Mon Dec  5 10:22:41 UTC 2016		WolfgangStuder		...
1.03.000		Mon Dec  5 10:04:49 UTC 2016		WolfgangStuder		...
1.02.000		Fri Dec  2 20:34:42 UTC 2016		WolfgangStuder		various smaller layout updates, adding active flag, split scombined page-section dropdown into 2 separate dropdowns for page and sections
1.01.000		Fri Nov 18 18:52:35 UTC 2016		WolfgangStuder		...
1.00.000		Tue Nov 15 19:25:53 UTC 2016		WolfgangStuder		first public release
0.11.000		Tue Nov 15 11:34:33 UTC 2016		WolfgangStuder		first with new structure
0.01.000		Tue Nov 15 11:32:52 UTC 2016		WolfgangStuder		first draft with new structure
*/

?>
