<?php

/**  // € // to identify files as UTF8
 * select another section and show that content here on runtime
 *
 * @module          section_select
 * @author          Wolfgang Studer
 * @copyright       2016 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.05.000 | 2016-12-17
 * @lepador_link    http://www.lepton-cms.com/lepador/modules/section_select.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3059
*/


// include class.secure.php to protect this file and the whole CMS!
	if ( defined('LEPTON_PATH') == TRUE ):
		include(LEPTON_PATH.'/framework/class.secure.php');
	else:
		$oneback = "../";
		$root = $oneback;
		$level = 1;
		while (( $level < 10 ) && ( file_exists( $root . '/framework/class.secure.php' ) == FALSE )):
			$root .= $oneback;
			$level += 1;
		endwhile;
	
		if ( file_exists($root.'/framework/class.secure.php') == TRUE ):
			include( $root . '/framework/class.secure.php' );
		else:
			trigger_error( sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR );
		endif;
	endif;
// end include class.secure.php


// Modul Description
	$module_description = 'Use the content from another sections, with conditions support.';

// initialize text array
	$MOD_SECTION_SELECT		= array();

// dialog title
	$MOD_SECTION_SELECT['DIALOG']['show_help']	= 'Help text';
	$MOD_SECTION_SELECT['DIALOG']['show_info']	= 'Show info';

// failures
	$MOD_SECTION_SELECT['ERROR']['INPUT']		= 'Error during parameter validation !';
	$MOD_SECTION_SELECT['ERROR']['-1']			= 'Wrong request methode: ';
	$MOD_SECTION_SELECT['ERROR']['-2']			= 'Mandatory parameter missing: ';
	$MOD_SECTION_SELECT['ERROR']['-3']			= 'Value not allowed: ';
	$MOD_SECTION_SELECT['ERROR']['-4']			= 'Configuration error: ';

?>
