<?php

/**  // € // to identify files as UTF8
 * select another section and show that content here on runtime
 *
 * @module          section_select
 * @author          Wolfgang Studer
 * @copyright       2016 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.05.000 | 2016-12-17
 * @lepador_link    http://www.lepton-cms.com/lepador/modules/section_select.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3059
*/


// include class.secure.php to protect this file and the whole CMS!
	if ( defined('LEPTON_PATH') == TRUE ):
		include(LEPTON_PATH.'/framework/class.secure.php');
	else:
		$oneback = "../";
		$root = $oneback;
		$level = 1;
		while (( $level < 10 ) && ( file_exists( $root . '/framework/class.secure.php' ) == FALSE )):
			$root .= $oneback;
			$level += 1;
		endwhile;
	
		if ( file_exists($root.'/framework/class.secure.php') == TRUE ):
			include( $root . '/framework/class.secure.php' );
		else:
			trigger_error( sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR );
		endif;
	endif;
// end include class.secure.php


// predefined conditions
	$secsel_conditions = Array();
	$secsel_conditions[ 'VALID' ]	= addslashes( 'return TRUE;' );
	$secsel_conditions[ 'INVALID' ]	= addslashes( 'return FALSE;' );

// define kind of tree !! must be same in LINKER and in LINKER_VIEW !!!
	// type = (for page, folder)
		// trail = aaa, aaa/bbb, aaa/bbb/ccc, aaa/ddd, ...
		// level = aaa, -- bbb, ----ccc, --ddd, ...
		// array = array with page items, only available for pages
	// prefix = (for page, section, folder)
		// a string added in front of key for each item
/*
 * Note: The prefix on numeric keys is needed because of javascript handling
 * as it does not preserve numeric keys ...
 */
	$secsel_treekind = array();
	$secsel_treekind['page']['type']		= 'level';
	$secsel_treekind['page']['prefix']		= 'P';
	$secsel_treekind['page']['rootid']		= '0';
	$secsel_treekind['page']['addroot']		= '0';
	$secsel_treekind['section']['prefix']	= 'S';

// provide a list of modules, which will be excluded from the section list
	$secsel_disabledModules   = array();
	$secsel_disabledModules[] = 'section_select';	// to avoid endless references
	$secsel_disabledModules[] = 'section_picker';		// to avoid endless references
	$secsel_disabledModules[] = 'anchor';				// does not make any sense
	$secsel_disabledModules[] = 'backend_comment';		// does not make any sense



?>
