<?php

/**  // € // to identify files as UTF8
 * select another section and show that content here on runtime
 *
 * @module          section_select
 * @author          Wolfgang Studer
 * @copyright       2016 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.05.000 | 2016-12-17
 * @lepador_link    http://www.lepton-cms.com/lepador/modules/section_select.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3059
*/


// include class.secure.php to protect this file and the whole CMS!
	if ( defined('LEPTON_PATH') == TRUE ):
		include(LEPTON_PATH.'/framework/class.secure.php');
	else:
		$oneback = "../";
		$root = $oneback;
		$level = 1;
		while (( $level < 10 ) && ( file_exists( $root . '/framework/class.secure.php' ) == FALSE )):
			$root .= $oneback;
			$level += 1;
		endwhile;
	
		if ( file_exists($root.'/framework/class.secure.php') == TRUE ):
			include( $root . '/framework/class.secure.php' );
		else:
			trigger_error( sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR );
		endif;
	endif;
// end include class.secure.php


// include the library function script if not already set
	$function = $secsel_modulePath
			. 'lib' . DIRECTORY_SEPARATOR . 'functions' . DIRECTORY_SEPARATOR
			. 'function.select_details.build_' . $action . '.php';

	if ( is_file ( $function ) == TRUE ):
		include_once( $function );

		// load additional language files
		$function = $secsel_modulePath
				. 'lib' . DIRECTORY_SEPARATOR . 'functions' . DIRECTORY_SEPARATOR
				. 'function.load_language.php';

		if ( is_file ( $function ) == TRUE ):
			include_once( $function );

			secsel_load_language( $MOD_SECTION_SELECT, $secsel_languages, 'ajax.select_details', FALSE );
		endif;

		// assign action dependend texts
		$type = $action;
		if ( array_key_exists( $type, $MOD_SECTION_SELECT ) == TRUE ):
			$secsel_vars[ 'MOD_SECTION_SELECT' ] = $MOD_SECTION_SELECT[$type];
		else:
			$secsel_vars[ 'MOD_SECTION_SELECT' ] = array();
		endif;

		// check if a dedicated action lib script exists
		$file = $secsel_modulePath
				. 'lib' . DIRECTORY_SEPARATOR
				. 'lib.data.ajax.select_details.' . $action . '.php';

		if ( is_file ( $file ) == TRUE ):
			include( $file );
		endif;
	endif;

?>
