<?php

/**  // € // to identify files as UTF8
 * select another section and show that content here on runtime
 *
 * @module          section_select
 * @author          Wolfgang Studer
 * @copyright       2016 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.05.000 | 2016-12-17
 * @lepador_link    http://www.lepton-cms.com/lepador/modules/section_select.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3059
*/


// include class.secure.php to protect this file and the whole CMS!
	if ( defined('LEPTON_PATH') == TRUE ):
		include(LEPTON_PATH.'/framework/class.secure.php');
	else:
		$oneback = "../";
		$root = $oneback;
		$level = 1;
		while (( $level < 10 ) && ( file_exists( $root . '/framework/class.secure.php' ) == FALSE )):
			$root .= $oneback;
			$level += 1;
		endwhile;
	
		if ( file_exists($root.'/framework/class.secure.php') == TRUE ):
			include( $root . '/framework/class.secure.php' );
		else:
			trigger_error( sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR );
		endif;
	endif;
// end include class.secure.php


// initialize array for twig
	$pageTree			= array();
	$pageTreeSections	= array();

// build pageTree array
	$action = 'page_tree';
	$selectParams = array();

	// call the library handle the action
	$file = $secsel_modulePath
			. 'lib' . DIRECTORY_SEPARATOR
			. 'lib.data.ajax.select_details.php';
	if ( is_file ( $file ) == TRUE ):
		$sectionList = array();
		include( $file );

		// returns
		// * $pageTree = array of pages
		// * $sectionList = array with section_list/mainselect text entry if exists

		// the first pageTree item might be returned with key = 0 in order to keep
		// sequence when handled via ajax with javascript
		if ( array_key_exists( '0', $pageTree ) == TRUE ):
			$tmp = array();
			$tmp[''] = $pageTree['0'];
			unset( $pageTree['0'] );
			$pageTree = $tmp + $pageTree;
		endif;

		$pageTreeSections = $sectionList;
		unset( $sectionList );
	endif;

// get refered page id
	if ( count( $data ) > 0 ):
		$query = 'SELECT `page_id` '
				. ' FROM ' . TABLE_PREFIX . 'sections'
				. ' WHERE `section_id` = ' . $data['refered_section_id']
				. ' LIMIT 1'
				;
		$data['refered_page_id'] = secsel_execute_query( __FUNCTION__, $query, 'get_one' );
		$data['refered_page']    = $secsel_treekind['page']['prefix'] . $data['refered_page_id'];
	endif;

// build pageTreeSections
	// initialize data details
	$pageTreeSections = array();
	if ( count( $data ) > 0 ):
		$action = 'section_list';
		$selectParams = array();
		$selectParams[ 'page_id' ] = $data['refered_page_id'];

		// call the library handle the action
		$file = $secsel_modulePath
				. 'lib' . DIRECTORY_SEPARATOR
				. 'lib.data.ajax.select_details.php';
		if ( is_file ( $file ) == TRUE ):
			$sectionList = array();
			include( $file );

			// returns
			// * $sectionList = array with section_list/mainselect text entry if exists

			// the first sectionList item might be returned with key = 0 in order to keep
			// sequence when handled via ajax with javascript
			if ( array_key_exists( '0', $sectionList ) == TRUE ):
				$tmp = array();
				$tmp[''] = $sectionList['0'];
				unset( $sectionList['0'] );
				$sectionList = $tmp + $sectionList;
			endif;

			$pageTreeSections = $sectionList;
			unset( $sectionList );
		endif;

		$data['refered_section'] = $secsel_treekind['section']['prefix'] . $data['refered_section_id'];
	endif;

?>
