<?php

/**  // € // to identify files as UTF8
 * select another section and show that content here on runtime
 *
 * @module          section_select
 * @author          Wolfgang Studer
 * @copyright       2016 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.05.000 | 2016-12-17
 * @lepador_link    http://www.lepton-cms.com/lepador/modules/section_select.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3059
*/


// include class.secure.php to protect this file and the whole CMS!
	if ( defined('LEPTON_PATH') == TRUE ):
		include(LEPTON_PATH.'/framework/class.secure.php');
	else:
		$oneback = "../";
		$root = $oneback;
		$level = 1;
		while (( $level < 10 ) && ( file_exists( $root . '/framework/class.secure.php' ) == FALSE )):
			$root .= $oneback;
			$level += 1;
		endwhile;
	
		if ( file_exists($root.'/framework/class.secure.php') == TRUE ):
			include( $root . '/framework/class.secure.php' );
		else:
			trigger_error( sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR );
		endif;
	endif;
// end include class.secure.php


// Titel
	$MOD_SECTION_SELECT['H2']							= 'Abschnitt Auswahl';

// field names
	$MOD_SECTION_SELECT['FLD']['in_active']				= 'Aktiv / Inaktiv';
	$MOD_SECTION_SELECT['FLD']['refered_page_id']		= 'Referenz-Seite';
	$MOD_SECTION_SELECT['FLD']['refered_section_id']	= 'Referenz-Abschnitt';
	$MOD_SECTION_SELECT['FLD']['refered_condition']		= 'Bedingung';
	$MOD_SECTION_SELECT['FLD']['notes']					= 'Notizen';

// placeholder values
	// if such a value is set, the placeholder is shown when empty
//	$MOD_SECTION_SELECT['PLH']['refered_section_id']	= '';

// helptext values
	// if such a value is set, the help icon is shown with this text as title
	$MOD_SECTION_SELECT['HLP']['in_active']				= 'Setze diesen Abschnitt auf Aktiv oder Inaktiv.';
	$MOD_SECTION_SELECT['HLP']['refered_page_id']		= 'Die Seite des Abschnittes, dessen Inhalt hier im Frontend angezeigt werden soll.';
	$MOD_SECTION_SELECT['HLP']['refered_section_id']	= 'Der Abschnitt, dessen Inhalt hier im Frontend angezeigt werden soll.';
	$MOD_SECTION_SELECT['HLP']['refered_condition']		= 'Eine Bedingung welche zutreffen muss, damit der Inhalt des ausgewählten Abschnittes angezeigt wird.';
	$MOD_SECTION_SELECT['HLP']['notes']					= 'Eigene Notizen zu diesem Setup';

// tooltip
	$MOD_SECTION_SELECT['TIP']['active']				= 'Dieser Abschnitt ist Aktiv.';
	$MOD_SECTION_SELECT['TIP']['inactive']				= 'Dieser Abschnitt ist Inaktiv.';

// JS dialog titles
	$MOD_SECTION_SELECT['DIALOG']['toggle_active']		= 'Aktiv / Inaktiv';

// text for conditions
	$MOD_SECTION_SELECT[ 'CONDITION' ][ 'VALID' ]		= 'Immer gültig';
	$MOD_SECTION_SELECT[ 'CONDITION' ][ 'INVALID' ]		= 'Nie gültig';

// page & media
	$MOD_SECTION_SELECT['section_list']['mainselect']	= 'Bitte zuerst die Seite auswählen!';

?>
