<?php

/**  // € // to identify files as UTF8
 * select another section and show that content here on runtime
 *
 * @module          section_select
 * @author          Wolfgang Studer
 * @copyright       2016 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.05.000 | 2016-12-17
 * @lepador_link    http://www.lepton-cms.com/lepador/modules/section_select.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3059
*/


// include class.secure.php to protect this file and the whole CMS!
	if ( defined('LEPTON_PATH') == TRUE ):
		include(LEPTON_PATH.'/framework/class.secure.php');
	else:
		$oneback = "../";
		$root = $oneback;
		$level = 1;
		while (( $level < 10 ) && ( file_exists( $root . '/framework/class.secure.php' ) == FALSE )):
			$root .= $oneback;
			$level += 1;
		endwhile;
	
		if ( file_exists($root.'/framework/class.secure.php') == TRUE ):
			include( $root . '/framework/class.secure.php' );
		else:
			trigger_error( sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR );
		endif;
	endif;
// end include class.secure.php


// Titel
	$MOD_SECTION_SELECT['H2']							= 'Section Select';

// field names
	$MOD_SECTION_SELECT['FLD']['in_active']				= 'Active / Inactive';
	$MOD_SECTION_SELECT['FLD']['refered_page_id']		= 'Reference Page';
	$MOD_SECTION_SELECT['FLD']['refered_section_id']	= 'Reference Section';
	$MOD_SECTION_SELECT['FLD']['refered_condition']		= 'Condition';
	$MOD_SECTION_SELECT['FLD']['notes']					= 'Notes';

// placeholder values
	// if such a value is set, the placeholder is shown when empty
//	$MOD_SECTION_SELECT['PLH']['refered_section_id']	= '';

// helptext values
	// if such a value is set, the help icon is shown with this text as title
	$MOD_SECTION_SELECT['HLP']['in_active']				= 'Toggle this section to active or inactive.';
	$MOD_SECTION_SELECT['HLP']['refered_page_id']		= 'The page, where the content of the selected section will be shown here in frontend.';
	$MOD_SECTION_SELECT['HLP']['refered_section_id']	= 'The content of this selected section will be shown here in frontend.';
	$MOD_SECTION_SELECT['HLP']['refered_condition']		= 'A condition which must be fulfilled to show the content of the selected section.';
	$MOD_SECTION_SELECT['HLP']['notes']					= 'Own notes for current setup';

// tooltip
	$MOD_SECTION_SELECT['TIP']['active']				= 'This section is active.';
	$MOD_SECTION_SELECT['TIP']['inactive']				= 'This section is inactive.';

// JS dialog titles
	$MOD_SECTION_SELECT['DIALOG']['toggle_active']		= 'Active / Inactive';

// text for conditions
	$MOD_SECTION_SELECT[ 'CONDITION' ][ 'VALID' ]		= 'Always valid';
	$MOD_SECTION_SELECT[ 'CONDITION' ][ 'INVALID' ]		= 'Never valid';

// page & media
	$MOD_SECTION_SELECT['section_list']['mainselect']	= 'Please select first the page!';

?>
