<?php

/**  // € // to identify files as UTF8
 * select another section and show that content here on runtime
 *
 * @module          section_select
 * @author          Wolfgang Studer
 * @copyright       2016 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.05.000 | 2016-12-17
 * @lepador_link    http://www.lepton-cms.com/lepador/modules/section_select.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3059
*/


// include class.secure.php to protect this file and the whole CMS!
	if ( defined('LEPTON_PATH') == TRUE ):
		include(LEPTON_PATH.'/framework/class.secure.php');
	else:
		$oneback = "../";
		$root = $oneback;
		$level = 1;
		while (( $level < 10 ) && ( file_exists( $root . '/framework/class.secure.php' ) == FALSE )):
			$root .= $oneback;
			$level += 1;
		endwhile;
	
		if ( file_exists($root.'/framework/class.secure.php') == TRUE ):
			include( $root . '/framework/class.secure.php' );
		else:
			trigger_error( sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR );
		endif;
	endif;
// end include class.secure.php


// initialize status
	$status = TRUE;


// get refered_section_id
	$data[ 'refered_section_id'] = (int) str_replace( $secsel_treekind['section']['prefix'] , '', $data[ 'refered_section'] );

// prepare SQL
	// do insert
	$query = 'INSERT INTO ' . TABLE_PREFIX . 'mod_section_select '
				. ' ( `page_id`'
				. ', `section_id`'
				. ', `created_when`'
				. ', `modified_by`'
				. ( isset( $data[ 'refered_section_id'] )	== TRUE ? ', `refered_section_id`'	: '' )
				. ( isset( $data[ 'refered_condition'] )	== TRUE ? ', `refered_condition`'	: '' )
				. ( isset( $data[ 'notes'] )				== TRUE ? ', `notes`'				: '' )
				. ' )'
			. ' VALUES'
				. ' (' . $page_id
				. ', ' . $section_id
				. ', CURRENT_TIMESTAMP'
				. ', ' . $admin->get_user_id()
				. ( isset( $data[ 'refered_section_id'] )	== TRUE ? ', \'' . $data[ 'refered_section_id'] . '\''	: '' )
				. ( isset( $data[ 'refered_condition'] )	== TRUE ? ', \'' . $data[ 'refered_condition'] . '\''	: '' )
				. ( isset( $data[ 'notes'] )				== TRUE ? ', \'' . $data[ 'notes'] . '\''				: '' )
				. ')'
				;

// do automatic update if duplicate on a unique key occurs
// see: http://dev.mysql.com/doc/refman/5.0/en/insert-on-duplicate.html
	$query .= ' ON DUPLICATE KEY UPDATE ';
	$query .= 	  '  `modified_by`		= ' . $admin->get_user_id()
				. ', `version_number`	= `version_number` + 1'
				. ( isset( $data[ 'refered_section_id'] )	== TRUE ? ', `refered_section_id`'	. '= \'' . $data[ 'refered_section_id'] . '\''	: '' )
				. ( isset( $data[ 'refered_condition'])		== TRUE ? ', `refered_condition`'	. '= \'' . $data[ 'refered_condition'] . '\''	: '' )
				. ( isset( $data[ 'notes'])					== TRUE ? ', `notes`'				. '= \'' . $data[ 'notes'] . '\''				: '' )
				;

// run the insert/update query
	$status = secsel_execute_query( __FUNCTION__, $query, 'try_catch' );

?>
