<?php

/**  // € // to identify files as UTF8
 * select another section and show that content here on runtime
 *
 * @module          section_select
 * @author          Wolfgang Studer
 * @copyright       2016 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.05.000 | 2016-12-17
 * @lepador_link    http://www.lepton-cms.com/lepador/modules/section_select.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3059
*/


// include class.secure.php to protect this file and the whole CMS!
	if ( defined('LEPTON_PATH') == TRUE ):
		include(LEPTON_PATH.'/framework/class.secure.php');
	else:
		$oneback = "../";
		$root = $oneback;
		$level = 1;
		while (( $level < 10 ) && ( file_exists( $root . '/framework/class.secure.php' ) == FALSE )):
			$root .= $oneback;
			$level += 1;
		endwhile;
	
		if ( file_exists($root.'/framework/class.secure.php') == TRUE ):
			include( $root . '/framework/class.secure.php' );
		else:
			trigger_error( sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR );
		endif;
	endif;
// end include class.secure.php


// use the search of refered module
function section_select_search( $func_vars )
{
	extract( $func_vars, EXTR_PREFIX_ALL, 'func' );

	// how many lines of excerpt we want to have at most
	$max_excerpt_num = $func_default_max_excerpt;
	$divider = ".";
	$result = false;

	// get refered section
	$query = 'SELECT `refered_section_id`'
			. '  FROM '. TABLE_PREFIX . 'mod_section_select'
			. ' WHERE `section_id` = ' . $func_section_id;

	$refered_section_id = $func_database->get_one( $query );

	// get modul kind of refreed section
	$query = 'SELECT `module`'
			. '  FROM ' . TABLE_PREFIX . 'sections'
			. ' WHERE `section_id` = ' . $refered_section_id;

	$refered_module = $func_database->get_one( $query );
	if ( is_null( $refered_module ) == FALSE ):
		
		// check if target module contains a search script
		$file = LEPTON_PATH . '/modules/' . $refered_module. '/search.php';
		if ( file_exists( $file ) == FALSE ):
			$file = LEPTON_PATH . '/modules/' . $refered_module . '_searchext/search.php';
			if ( file_exists( $file ) == FALSE ):
				$file = NULL;
			endif;
		endif;
		
		// when search script exists, run it
		if ( is_null( $file ) == FALSE ):
			include_once( $file );
			if ( function_exists( $refered_module . '_search' ) == TRUE ):
				$func_vars['section_id'] = $refered_section_id;
				$result = call_user_func( $refered_module . '_search', $func_vars );
			endif;
		endif;
	endif;
	
	return $result;
}

?>
